%define		_class		File
%define		_subclass	Passwd
%define		_status		stable
%define		_pearname	File_Passwd
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - manipulate password files
Summary(pl.UTF-8):	%{_pearname} - manipulacje na plikach z hasłami
Name:		php-pear-%{_pearname}
Version:	1.1.7
Release:	5
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b11d5dac02ddd93fdfdd4756a0868afe
URL:		http://pear.php.net/package/File_Passwd/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.0.6
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-PEAR-core
Suggests:	php-pear-Crypt_CHAP
Obsoletes:	php-pear-File_Passwd-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Crypt/CHAP.*)'

%description
Provides methods to manipulate standard Unix, SMB server, AuthUser
(.htpasswd), AuthDigest (.htdigest) and CVS pserver password files.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza metody do manipulacji na standardowych Uniksowych plikach
passwd, serwera SMB, AuthUser (.htpasswd), AuthDigest (.htdigest) oraz
na plikach passwd CVS pserver.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/File/Passwd
%{php_pear_dir}/File/*.php
%{php_pear_dir}/File/Passwd/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 7c629a5
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 729f617
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> f7ea641
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f547937
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 5a413c7
- updated deps with pearize.sh
- release 2

* Wed Jan 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 4cc61b8
- updated to 1.1.7

* Thu Feb 07 2008 ankry <ankry@pld-linux.org> c301951
- pl

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b5cdee2
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 486b5e3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 526ab8c
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 068c9fc
- rel 4: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1fa0af9
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 3514ad2
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 934a5a5
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7313aa0
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 1c5abb3
- group Development/Languages/PHP for -tests

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> c7f3616
- require php-pear-PEAR-core, not the full PEAR package with deps

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 70482c5
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 6ce036a
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 187c97d
- rel 2

